<?php

/**
 * this file includes all of the widgets
 * that live in this dir.
 * If you add a new widget, you should add it here.
 *
 * $Id: includes.inc,v 1.26.2.3 2005/05/12 01:24:04 hemna Exp $
 *
 * @author Walter A. Boring IV <waboring@newsblob.com>
 * @package phpHtmlLib
 * 
 */ 

/**
 * do the includes
 *
 * commented widgets are not really ready for 
 * prime time.
 *
 */
include_once($phphtmllib."/widgets/BaseWidget.inc");
include_once($phphtmllib."/widgets/ContainerWidget.inc");
include_once($phphtmllib."/widgets/CSSContainer.inc");
include_once($phphtmllib."/widgets/CSSBuilder.inc");
include_once($phphtmllib."/widgets/HTMLPageClass.inc");
include_once($phphtmllib."/widgets/HTMLRedirectPage.inc");
include_once($phphtmllib."/widgets/PageWidget.inc");


include_once($phphtmllib."/widgets/ActiveTab.inc");
include_once($phphtmllib."/widgets/ButtonPanel.inc");
include_once($phphtmllib."/widgets/DialogWidget.inc");
include_once($phphtmllib."/widgets/FooterNav.inc");
include_once($phphtmllib."/widgets/InfoTable.inc");
include_once($phphtmllib."/widgets/ImageThumbnailWidget.inc");
include_once($phphtmllib."/widgets/MessageBoxWidget.inc");
include_once($phphtmllib."/widgets/NavTable.inc");
include_once($phphtmllib."/widgets/RoundTitleTable.inc");
include_once($phphtmllib."/widgets/StandardDialogWidget.inc");
include_once($phphtmllib."/widgets/TabWidget.inc");
include_once($phphtmllib."/widgets/TextNav.inc");
include_once($phphtmllib."/widgets/TextCSSNav.inc");
include_once($phphtmllib."/widgets/VerticalCSSNavTable.inc");
include_once($phphtmllib."/widgets/TabControlWidget.inc");
include_once($phphtmllib."/widgets/ProgressWidget.inc");
include_once($phphtmllib."/widgets/ErrorBoxWidget.inc");


include_once($phphtmllib."/widgets/xml/XMLDocumentClass.inc");
include_once($phphtmllib."/widgets/wml/WMLDocumentClass.inc");
include_once($phphtmllib."/widgets/svg/SVGDocumentClass.inc");

//not fully baked
//include_once($phphtmllib."/widgets/TreeNav.inc");

?>
